#!/usr/bin/python
#-*- coding:utf-8 -*-

import matplotlib.pyplot as plt
import time

logpath = '/home/pi/Graph/'
logfile = 'logdate.log'
graphfile = 'graph.jpg'

#******* グラフを生成する関数 ***********
def makeGraph():
    x  = [1, 2, 3, 4]
    y1 = [5.5, 6.2, 9.6, 10.5]
    y2 = [4, 5, 6, 7]
    fig, ax1 = plt.subplots(1,1, sharex=True, figsize=(6, 4))
    ax2 = ax1.twinx()
    #グラフ描画
    ax1.plot(x, y1, 'r')    #color=red
    ax2.plot(x, y2, 'b')    #color=blue
    #ラベル類表示   
    ax1.set_xlabel('Time')
    ax1.set_ylabel('Data1', color='r')
    ax2.set_ylabel('Data2', color='b')
    ax1.set_title('Two Data View')
    fig.savefig(logpath+graphfile)
    fig.show()
    
#********** メイン関数 *******
def main():
    makeGraph()
    time.sleep(5)
    
#*******　起動 *****
if __name__ == '__main__':
    main()
